import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        int n = in.nextInt();
        int l = in.nextInt();
        int[] h = new int[1005];
        for (int i = 0; i < n; ++i) {
            h[i] = in.nextInt();
        }
        for (int i = 0; i < n; ++i) {
            if (h[i] <= l) {
                System.out.println(i + 1);
                return;
            }
        }
        System.out.println(-1);
    }
}